package app.mar.activities;

import android.net.Uri;
import android.view.View;

import app.mar.game.Area;
import app.mar.game.Game;
import app.mar.game.challenges.Challenge;

public interface ChallengeDriver extends ChallengeFragment.OnFragmentInteractionListener {
    public void challengeValidate(Challenge c, Game g, ChallengeDriver cd);
    public Challenge currentChallenge();
    public void setFragment(Class c);
    public void onFragmentInteraction(Uri uri);
    public void onReady();


    public void   startLocalisation();
    public void   resumeLocalisation();
    public void   pauseLocalisation();
    public double getDistanceWith(Area a);
    public double getAccuracy();


    public void setVisibilityView(int res, int state);
    public void setVisibilityView(int[] res, int state);

    public void setFinished();
    public void setFailed();

}
